Forum Linux.général Installation de Mozilla Firefox 1.5

Posté par  .
Étiquettes : aucune
0
3
juin
2006
Bosnoir à tous !

Depuis que j'ai installé Linux Mandriva 2006, j'utilise une ancienne version de Mozilla Firefox et j'ai donc souhaité installer la version 1.5 de ce navigateur.

Cependant, une fois l'archive .TAR.gz décompressée, il n'y a pas moyen d'installer Mozilla Firefox 1.5 afin qu'il fasse partie de ma liste de programmes dans le menu K : le seul moyen semble de double-cliquer sur l'icôné firefox dans le dossier où l'archive a été décompressée.

Je fais donc appel à vous afin que vous m'aidiez, si possible, à effectuer correctement la mise à jour de Firefox et qu'il fasse partie de mes programmes.

Cordialement,
Jeryagor
  • # Configuration tableau de bord

    Posté par  . Évalué à 2.

    Bonjour,
    Si j'ai bien compris ton install s'est correctement réalisée et firefox 1.5 fonctionne.
    Il te suffit alors de :
    - clic droit sur la barre de tache (tableau de bord en bas)
    - selectionnes "Configurer le tableau de bord"
    - Lorsque la fenre s'ouvre selectionnes l'onglet "Menu"
    - clic sur "Editer le menu K"
    - la fenêtre "Editeur de menus Mandriva Linux" s'ouvre
    - sélectionnes l'endroit ou tu veux positionner le raccourci (dans ton cas le sous menu internet/Navigateur Web semble approprié)
    - clic sur le "+ (Ajouter une application)"
    -la fenêtre Ajouter une entrée s'affiche
    - clic sur "parcourir ..."
    - retrouves et sélectionnes ton programme
    - donne un nom (Firefox 1.5 par exemple)
    - clic sur Valider
    Et c'est fini !

    Variante :
    clic Menu K
    Internet /Navigateur Web/Clic droit
    Modifier le menu ....
  • # Gestionnaire

    Posté par  . Évalué à 1.

    Les distribution, particulièrement Mandriva, utilisent un gestionnaire de paquets.

    Pas besoin de télécharger des tar.gz et de se faire chier à mettre des raccourcis.
    http://easyurpmi.zarb.org/

    Sachant qu'il y a une interface graphique toute jolie.

    (je pense que tu connais le truc, vu tes dernières questions sur ce forum. Mais ça m'étonne toujours que des débutants relatifs en viennent à devoir gérer des tar.gz avec des "make".
    Même debian n'utilise plus ça qu'en cas extrême :)
    )

    Tu peux aussi te plonger dans la lecture du manuel, que j'ai gentiment mis à la page "installation de logiciels"
    http://doc.mandrivalinux.com/MandrakeLinux/101/fr/Starter.ht(...)

    évidement, si tu voulais en connaissance de cause utiliser un tar.gz, ne tiens pas compte de cette remarque.
    • [^] # Re: Gestionnaire

      Posté par  . Évalué à 1.

      En même temps, je ne suis pas sûr que Mandriva 2006 fournit des RPMs pour Firefox 1.5. Donc dans ce cas il est obligé de faire avec les tar.gz officiels de la fondation Mozilla s'il veut utiliser la dernière version de Firefox.
      • [^] # Re: Gestionnaire

        Posté par  . Évalué à 2.

        Correct, je viens de vérifier dans main et contrib, y a pas 1.5

        Néamoins, il existe des packages rpm

        2006 carroll.cac.psu.edu/pub/linux/distributions/mandrakelinux/devel/testing/Mandrivaclub/2006.0/i586/mozilla-firefox1.5-1.5.0.3-0.1.20060mdk.i586.rpm
        Mandriva 2006 carroll.cac.psu.edu/pub/linux/distributions/mandrakelinux/devel/testing/Mandrivaclub/2006.0/i586/mozilla-firefox1.5-1.5.0.2-0.1.20060mdk.i586.rpm
        Mandriva 2006 www.mandrivaclub.nl/sources/official/2006/i586/mozilla-firefox-1.5.0.3-1.2006mcnl.i586.rpm
        Mandriva 2006 www.mandrivaclub.nl/sources/official/2006/i586/mozilla-firefox-1.5.0.2-1.2006mcnl.i586.rpm
        Mandriva 2006 seerofsouls.com/mandriva/2006/RPMS/mozilla-firefox-1.5.0.2-0.1.20060.SoS.i586.rpm
        Mandriva 2006 seerofsouls.com/mandriva/2006/RPMS/mozilla-firefox-1.5.0.1-2.1.20060.SoS.i586.rpm


        Apparement, certains existent sur des serveurs mandriva.
        Les autres, je sais pas, faut avoir confiance :))

        En tout cas, les tar.gz, pour mandriva(club), c'est complètement contournable. C'est comme pour débian ou pour gentoo, quelques heures après la sortie d'un soft il existe quelque part un package.

        Donc rpm.pbone.net et Google sont l'ami du linuxien en manque de package.
        en l'occurrence, Jérémy étant un débutant (inscrit ici depuis Janvier et posant des questions basiques, donc je présume), je lui indique une démarche générale, qui sera d'ailleurs utile dans le futur pour les gens échouant sur ce post via google (Bonjour à vous, visiteurs du futur !!! )
        • [^] # Re: Gestionnaire

          Posté par  . Évalué à 1.

          Je suis en effet débutant.
          Je me suis sur ce site avant même d'utiliser Linux et je ne l'utilise vraiment que depuis moins d'un mois : je dois avouer que ça me plaît beaucoup.
          En ce qui concerne Mozilla 1.5, j'ai téléchargé le paquetage via un lien de Mandriva que tu as donné mais je n'ai tout de même pas réussi à l'installer. En effet, je reçois le message suivant :

          "Certains paquetages demandés ne peuvent pas être installés : mozilla-firefox-1.5.0.2-1.2006mcnl.i586 (car libnspr4[>=2:1.5.0.2)"

          Après avoir fait une recherche parmi les paquetages, j'ai trouvé un libnspr mais dans une version plus ancienne et qui ne conviendrait donc pas.
          • [^] # Re: Gestionnaire

            Posté par  . Évalué à 1.

            Après avoir résolu 2 problème de dépendances, j'ai enfin réussi à installer Mozilla Firefox 1.5.
            Merci encore pour votre aide.

            Cordialement,
            Jeryagor
            • [^] # Re: Gestionnaire

              Posté par  . Évalué à 1.

              D'ailleurs j'ai un autre petit probème à vous soumettre.

              Je teste aussi le navigateur Opera cependant, à chaque fois que je redémarre l'ordinateur, celui-ci est supprimé de ma liste de programmes.Je souhaiterais savoir pourquoi...
              • [^] # Re: Gestionnaire

                Posté par  . Évalué à 1.

                Salut,

                J'ai le même problème pour installer firefox : on me dit que "libnss3[>=2:1.5.0.3] est non satisfait".

                Que faire ? merci :)
                • [^] # Re: Gestionnaire

                  Posté par  . Évalué à 2.

                  lit les pages de docs
                  http://doc.mandrivalinux.com/MandrakeLinux/101/fr/Starter.ht(...)

                  La philosophie de mandriva (et des autres distributions linux) c'est d'avoir un système central qui gère les installations de logiciels.
                  C'est le système qui te dit, quand tu veux installer "logicielXouY", que certains fichiers annexes sont necessaires (des bibliothèques, appelée llibrary (dont les noms commencent par lib, d'ailleurs).
                  C'est un peu comme les dll de windows.

                  Donc ce sytème te dit que libnss3 est necessaire.
                  Normalement, le systemedevrai aller la chercher tout seul, mais apparement c'est pas le cas ici présent.

                  donc je poursuit.
                  Ce système (système de paquetage, les logiciels étants des paquet ou packages ou encore rpm ) peu se connecter tout seul au serveurs de paquets.

                  Ainsi, pour l'installation de paquets, on a pas besoins de passer par internet et ses pages de téléchargemnts, tout peu se faire par l'intermédiare du gestionnaire de paquet.

                  pour configurer les serveurs, fait un tour ici : http://easyurpmi.zarb.org/
                  tu choisi tes 3 serveurs mandriva officiels, puis les serveurs plf qui contiennent des paquets cools.

                  Et tu suis les instructions.
                  Une fois que tout ça est terminé, dit toi bien que ta Mandriva est directement connectée à des serveurs contenant plusieurs milliers de logiciels, et que pour installer amule, il suffit d'aller dans le gestionnaire de paquet, chercher amule et mettre ok.
                  Idem pour openoffice etc etc.

                  Sache ensuite, si tu as bien intégré la philosophie des packages, que tu peux te passer de l'interface grphique de mandriva.
                  plus d'infos ici http://lea-linux.org/cached/index/G%C3%A9rer_les_paquetages_(...)


                  pour résoudre ton problème, tu nas en principe q'a taper "urpmi libnss3" dans unes console (en tant que root), ou à chercher par l'intermédiare de l'interface graphique indiquée dans l'aide (dont je t'ai donné le lien).

                  Si tu as encore des problèmes, écrit une nouvelle entrée dans le forum

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.